aboutsummaryrefslogtreecommitdiffstats
path: root/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst39
1 files changed, 39 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..ea573b7
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,39 @@
+#!/bin/sh
+set -e
+
+install-info --quiet --section "The Algorithmic Language Scheme" \
+ "The Algorithmic Language Scheme" \
+ --description="The SLIB portable Scheme library" \
+ /usr/share/info/slib.info.gz
+
+# OK. This is bad because it really should be in the guile config or
+# in some emacs-common sort of package. Now we conditionally run it.
+# one of these probably shouldn't exist, but don't know which and
+# probably should support the older.
+if [ -x /usr/sbin/guile1.4-slibconfig ] ; then
+ echo Running /usr/sbin/guile1.4-slibconfig
+ /usr/sbin/guile1.4-slibconfig
+fi
+
+if [ -x /usr/bin/guile-1.6 -a -e /usr/share/guile/1.6/slib ] ; then
+ rm -f /usr/share/guile/1.6/slibcat
+ /usr/bin/guile-1.6 -c "(use-modules (ice-9 slib)) (require 'new-catalog)"
+ if [ -e /usr/share/guile/1.6/slibcat ] ; then
+ chmod 644 /usr/share/guile/1.6/slibcat
+ fi
+fi
+
+if [ -x /usr/bin/scm ] ; then
+ rm -f /usr/lib/scm/slibcat
+ /usr/bin/scm -c "(require 'new-catalog)"
+ if [ -e /usr/lib/scm/slibcat ] ; then
+ chmod 644 /usr/lib/scm/slibcat
+ fi
+fi
+
+# doc base support
+if [ "$1" = configure ]; then
+ if test -x /usr/sbin/install-docs >/dev/null 2>&1; then
+ /usr/sbin/install-docs -i /usr/share/doc-base/slib
+ fi
+fi